apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  name: ingress-nginx
  namespace: monitoring
  labels:
    prometheus.io/scrape: 'true'
spec:
  namespaceSelector:
    matchNames:
      - ingress-nginx
  selector:
    matchLabels:
      prometheus.io/scrape: 'true'
  endpoints:
  - port: '10254'
    path: /metrics